//---------------------------------------------------------------------------
//     Sonixsoft SnxWebLink-Component V 1.0.0
//     Copyright  2000-2001
//     E-mail: info@sonixsoft.com
//     Web: http://www.sonixsoft.com
//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "SnxWebLabel.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// ValidCtrCheck wird benutzt, um sicherzustellen, da die erzeugten Komponenten
// keine rein virtuellen Funktionen besitzen.
//

static inline void ValidCtrCheck(TSnxWebLabel *)
{
        new TSnxWebLabel(NULL);
}
//---------------------------------------------------------------------------

namespace Snxweblabel
{
        void __fastcall PACKAGE Register()
         {
          TComponentClass classes[1] = {__classid(TSnxWebLabel)};
          RegisterComponents("Sonixsoft Desktop", classes, 0);
         }
}
//---------------------------------------------------------------------------

__fastcall TSnxWebLabel::TSnxWebLabel(TComponent* Owner)
        : TCustomLabel(Owner)
{
    Cursor = crHandPoint;
    Font->Color = clBlue;
    Font->Style = TFontStyles() << fsUnderline;
}
//---------------------------------------------------------------------------

__fastcall TSnxWebLabel::~TSnxWebLabel()
{

}
//---------------------------------------------------------------------------

void __fastcall TSnxWebLabel::SetLinkStyle(TLinkStyle ALinkStyle)
{
    if (ALinkStyle == FLinkStyle)
     return;

    FLinkStyle = ALinkStyle;
}
//---------------------------------------------------------------------------

void __fastcall TSnxWebLabel::Click()
{
    String Link;

    switch(FLinkStyle)
     {
      case 0:  // url
       {
        Link = "http://" + Caption;
       }
      break;
      case 1:  // email
       {
        Link = "mailto:" + Caption;
       }
      break;
     }

    char* cLink = new char[StrLen(Link.c_str())];
    strcpy(cLink, Link.c_str());

    ShellExecute(Application->Handle,
                "open", cLink,
                NULL,NULL,SW_SHOWDEFAULT);

    delete [] cLink;
}
//---------------------------------------------------------------------------



