//---------------------------------------------------------------------------
//     Sonixsoft SnxWebLink-Component V 1.0.0
//     Copyright  2000-2001
//     E-mail: info@sonixsoft.com
//     Web: http://www.sonixsoft.com
//---------------------------------------------------------------------------

#ifndef SnxWebLabelH
#define SnxWebLabelH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include <StdCtrls.hpp>
//---------------------------------------------------------------------------
enum TLinkStyle {url, email};

//---------------------------------------------------------------------------
class PACKAGE TSnxWebLabel : public TCustomLabel
{
private:
    TLinkStyle FLinkStyle;

    void __fastcall SetLinkStyle(TLinkStyle ALinkStyle);

protected:
    DYNAMIC void __fastcall Click(void);

public:
    __fastcall TSnxWebLabel(TComponent* Owner);
    __fastcall virtual ~TSnxWebLabel();

__published:
    __property Align;
    __property Caption;
    __property Color;
    __property Cursor;
    __property Enabled;
    __property Font;
    __property TLinkStyle LinkStyle = {read=FLinkStyle, write=SetLinkStyle, default = url};
    __property Visible;

    __property OnClick;
    __property OnDblClick;
    __property OnDragDrop;
    __property OnDragOver;
    __property OnEndDrag;
    __property OnMouseDown;
    __property OnMouseMove;
    __property OnMouseUp;

};
//---------------------------------------------------------------------------
#endif
